import '../provider/data.dart';
import '../utils/board_utils.dart';

class GameUtils {

  static Future<void> resetGame(Data myProvider) async {
    myProvider.updateStateRunning = false;
  }

  static Future<void> startGame(Data myProvider) async {
    myProvider.updateStateRunning = true;
    myProvider.updateCells = BoardUtils.createEmptyBoard(myProvider.size);
    BoardUtils.pickGrid(myProvider);
  }
}
